de.vc.io.rtf

## Class SimpleRTFToken

- java.lang.Object
- - de.vc.io.rtf.AbstractRTFToken
  - - de.vc.io.rtf.SimpleRTFToken

-     public class SimpleRTFToken
      extends AbstractRTFToken

- - ### Field Summary

    - ### Fields inherited from class de.vc.io.rtf.AbstractRTFToken

      `TYPE_BINARY, TYPE_BRACE_CLOSED, TYPE_BRACE_OPEN, TYPE_CONTROL, TYPE_ESCAPE_CHARACTER, TYPE_NEXT_CONTROL_OPTIONAL, TYPE_NON_BREAKING_HYPHEN, TYPE_NON_BREAKING_SPACE, TYPE_NULL, TYPE_OPTIONAL_HYPHEN, TYPE_TEXT, TYPE_UNICODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleRTFToken()`
    `SimpleRTFToken(AbstractRTFToken t)`
    `SimpleRTFToken(int type)`
    `SimpleRTFToken(int type, java.lang.String str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getControl()`
    `java.lang.Integer` | `getControlNumber()`
    `int` | `getLevel()`
    `java.lang.String` | `getText()`
    `int` | `getType()`
    `void` | `setControl(java.lang.String control)`
    `void` | `setControlNumber(java.lang.Integer controlNumber)`
    `void` | `setLevel(int level)`
    `void` | `setText(java.lang.String text)`
    `void` | `setType(int type)`

    - ### Methods inherited from class de.vc.io.rtf.AbstractRTFToken

      `getCtrlDesc, isCtrlEnabled, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRTFToken

          public SimpleRTFToken()

    - #### SimpleRTFToken

          public SimpleRTFToken(int type)

    - #### SimpleRTFToken

          public SimpleRTFToken(int type,
                        java.lang.String str)

    - #### SimpleRTFToken

          public SimpleRTFToken(AbstractRTFToken t)

  - ### Method Detail

    - #### getControl

          public java.lang.String getControl()

      Specified by:
        `getControl` in class `AbstractRTFToken`

    - #### setControl

          public void setControl(java.lang.String control)

    - #### getControlNumber

          public java.lang.Integer getControlNumber()

      Specified by:
        `getControlNumber` in class `AbstractRTFToken`

    - #### setControlNumber

          public void setControlNumber(java.lang.Integer controlNumber)

    - #### getLevel

          public int getLevel()

      Specified by:
        `getLevel` in class `AbstractRTFToken`

    - #### setLevel

          public void setLevel(int level)

    - #### getType

          public int getType()

      Specified by:
        `getType` in class `AbstractRTFToken`

    - #### setType

          public void setType(int type)

    - #### getText

          public java.lang.String getText()

      Specified by:
        `getText` in class `AbstractRTFToken`

    - #### setText

          public void setText(java.lang.String text)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.